# BarcodeMappedData class

Format of the mapped barcode data.

## Constructors

BarcodeMappedData({required String title, required String subtitle, required String barcodeImage})
BarcodeMappedData.fromJson(Map<String, dynamic> json)
  factory

## Properties

barcodeImage ↔ String
  Image of the barcode.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
subtitle ↔ String
  Subtitle of the barcode.
  getter/setter pair
title ↔ String
  Title of the barcode.
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited